Skip to main content
GET
/
v1
/
plugin-binaries
/
{uuid}
GetPluginBinary
curl --request GET \
  --url https://api.endorlabs.com/v1/plugin-binaries/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "arch_type": "ARCH_TYPE_UNSPECIFIED",
    "binary_type": "BINARY_TYPE_UNSPECIFIED",
    "checksum": "<string>",
    "compatibility_matrix": {},
    "published_date": "2023-11-07T05:31:56Z",
    "unsupported": true,
    "url": "<string>",
    "version": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

uuid
string
required

The UUID of the requested resource.

Response

A successful response.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
uuid
string

The UUID of the plugin binary.